VLOCK(1)

NIMI
vlock - virtuaalikonsolin lukitusohjelma

YLEISKATSAUS
vlock

vlock [ -a,--all ] [ -c,--current ] [ -h,--help ] [ -v,--version ]

KUVAUS
vlock on ohjelma, jolla voidaan lukita yksi tai useampi Linux-konsolin istunto. Tämä on erityisen käytännöllistä silloin kun on käytössä Linux-koneita, joita käyttää useita käyttäjiä, joilla on pääsy konsolille. Yksi käyttäjä voi lukita käyttämänsä istunno(n/t) siten, että muutkin käyttäjät voivat käyttää samaa konetta muilta virtuaalikonsoleilta. Haluttaessa koko konsoli voidaan lukita ja virtuaalikonsolien käyttö estää.

By default, only the current VC (virtual console) is locked. With the -a,-all option all VCs are locked. The locked VCs cannot be unlocked without the invoker's password. And, for the paranoid, vlock makes it a trying experience for those attempting to guess the password, so unauthorized access to session(s) is highly unlikely.

Huomaa, että on täysin mahdollista lukita itsensä kokonaan ulos konsolilta käyttämällä -a,--all -valitsimia, jos et muista salasanaasi! Jollet onnistu tappamaan vlock -prosessia käyttämällä konetta etäpäätteeltä tai verkosta, jää koneen resetointi ainoaksi tavaksi "avata" konsoli.

vlock -ohjelmaa käytetään pääsääntöisesti konsoli-istunnoille. Joka tapauksessa, on mahdollista yrittää lukita myös ei-konsoli-istuntoja, mutta tätä tukea ei ole kunnolla testattu.

VALITSIMET
-a,--all

    Lukitse kaikki konsoli-istunnot ja disabloi virtuaalikonsolien vaihtaminen.

-c,--current

    Lukitse nykyinen istunto (tämä on oletusasetus).

-h,--help

    Tulosta lyhyt avusteteksti.

-v,--version

    Tulosta vlockin versionumero.

TEKIJÄ
Michael K. Johnson <johnsonm@redhat.com>

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tuukka Urpi <tuukka@wakkanet.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.